https://bugs.gentoo.org/945817
https://savannah.gnu.org/bugs/?66533
https://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=4a2fe717080b34a2770a674235bb2b6e3e3dd86f

--
Patch from:
https://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=4a2fe717080b34a2770a674235bb2b6e3e3dd86f
Removed non-applying Changelog hunk & fixed patch prefix to match file path in the tarball.

Bug: https://bugs.gentoo.org/945817
Signed-off-by: Holger Hoffstätte <holger@applied-asynchrony.com>
--- a/gettext-tools/gnulib-m4/bison-i18n.m4
+++ b/gettext-tools/gnulib-m4/bison-i18n.m4
@@ -1,5 +1,5 @@
 # bison-i18n.m4
-# serial 5
+# serial 6
 dnl Copyright (C) 2005-2006, 2009-2024 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
@@ -57,27 +57,28 @@ AC_DEFUN([BISON_I18N],
       fi
     fi
     AC_SUBST([BISON_LOCALEDIR])
+  fi
 
-    dnl Define BISON_LOCALEDIR_c and BISON_LOCALEDIR_c_make.
-    dnl Find the final value of BISON_LOCALEDIR.
-    gl_saved_prefix="${prefix}"
-    gl_saved_datarootdir="${datarootdir}"
-    gl_saved_localedir="${localedir}"
-    gl_saved_bisonlocaledir="${BISON_LOCALEDIR}"
-    dnl Unfortunately, prefix gets only finally determined at the end of
-    dnl configure.
-    if test "X$prefix" = "XNONE"; then
-      prefix="$ac_default_prefix"
-    fi
-    eval datarootdir="$datarootdir"
-    eval localedir="$localedir"
-    eval BISON_LOCALEDIR="$BISON_LOCALEDIR"
-    gl_BUILD_TO_HOST([BISON_LOCALEDIR])
-    BISON_LOCALEDIR="${gl_saved_bisonlocaledir}"
-    localedir="${gl_saved_localedir}"
-    datarootdir="${gl_saved_datarootdir}"
-    prefix="${gl_saved_prefix}"
+  dnl Define BISON_LOCALEDIR_c and BISON_LOCALEDIR_c_make.
+  dnl Find the final value of BISON_LOCALEDIR.
+  gl_saved_prefix="${prefix}"
+  gl_saved_datarootdir="${datarootdir}"
+  gl_saved_localedir="${localedir}"
+  gl_saved_bisonlocaledir="${BISON_LOCALEDIR}"
+  dnl Unfortunately, prefix gets only finally determined at the end of
+  dnl configure.
+  if test "X$prefix" = "XNONE"; then
+    prefix="$ac_default_prefix"
   fi
+  eval datarootdir="$datarootdir"
+  eval localedir="$localedir"
+  eval BISON_LOCALEDIR="$BISON_LOCALEDIR"
+  gl_BUILD_TO_HOST([BISON_LOCALEDIR])
+  BISON_LOCALEDIR="${gl_saved_bisonlocaledir}"
+  localedir="${gl_saved_localedir}"
+  datarootdir="${gl_saved_datarootdir}"
+  prefix="${gl_saved_prefix}"
+
   if test $BISON_USE_NLS = yes; then
     AC_DEFINE([YYENABLE_NLS], [1],
       [Define to 1 to internationalize bison runtime messages.])

--- a/gettext-tools/configure
+++ b/gettext-tools/configure
@@ -29892,17 +29892,18 @@ fi
       fi
     fi
 
+  fi
 
-            gl_saved_prefix="${prefix}"
-    gl_saved_datarootdir="${datarootdir}"
-    gl_saved_localedir="${localedir}"
-    gl_saved_bisonlocaledir="${BISON_LOCALEDIR}"
-            if test "X$prefix" = "XNONE"; then
-      prefix="$ac_default_prefix"
-    fi
-    eval datarootdir="$datarootdir"
-    eval localedir="$localedir"
-    eval BISON_LOCALEDIR="$BISON_LOCALEDIR"
+      gl_saved_prefix="${prefix}"
+  gl_saved_datarootdir="${datarootdir}"
+  gl_saved_localedir="${localedir}"
+  gl_saved_bisonlocaledir="${BISON_LOCALEDIR}"
+      if test "X$prefix" = "XNONE"; then
+    prefix="$ac_default_prefix"
+  fi
+  eval datarootdir="$datarootdir"
+  eval localedir="$localedir"
+  eval BISON_LOCALEDIR="$BISON_LOCALEDIR"
 
 
 
@@ -29927,11 +29928,11 @@ fi
   fi
 
 
-    BISON_LOCALEDIR="${gl_saved_bisonlocaledir}"
-    localedir="${gl_saved_localedir}"
-    datarootdir="${gl_saved_datarootdir}"
-    prefix="${gl_saved_prefix}"
-  fi
+  BISON_LOCALEDIR="${gl_saved_bisonlocaledir}"
+  localedir="${gl_saved_localedir}"
+  datarootdir="${gl_saved_datarootdir}"
+  prefix="${gl_saved_prefix}"
+
   if test $BISON_USE_NLS = yes; then
 
 printf "%s\n" "#define YYENABLE_NLS 1" >>confdefs.h
@@ -61062,17 +61063,18 @@ fi
       fi
     fi
 
+  fi
 
-            gl_saved_prefix="${prefix}"
-    gl_saved_datarootdir="${datarootdir}"
-    gl_saved_localedir="${localedir}"
-    gl_saved_bisonlocaledir="${BISON_LOCALEDIR}"
-            if test "X$prefix" = "XNONE"; then
-      prefix="$ac_default_prefix"
-    fi
-    eval datarootdir="$datarootdir"
-    eval localedir="$localedir"
-    eval BISON_LOCALEDIR="$BISON_LOCALEDIR"
+      gl_saved_prefix="${prefix}"
+  gl_saved_datarootdir="${datarootdir}"
+  gl_saved_localedir="${localedir}"
+  gl_saved_bisonlocaledir="${BISON_LOCALEDIR}"
+      if test "X$prefix" = "XNONE"; then
+    prefix="$ac_default_prefix"
+  fi
+  eval datarootdir="$datarootdir"
+  eval localedir="$localedir"
+  eval BISON_LOCALEDIR="$BISON_LOCALEDIR"
 
 
 
@@ -61097,11 +61099,11 @@ fi
   fi
 
 
-    BISON_LOCALEDIR="${gl_saved_bisonlocaledir}"
-    localedir="${gl_saved_localedir}"
-    datarootdir="${gl_saved_datarootdir}"
-    prefix="${gl_saved_prefix}"
-  fi
+  BISON_LOCALEDIR="${gl_saved_bisonlocaledir}"
+  localedir="${gl_saved_localedir}"
+  datarootdir="${gl_saved_datarootdir}"
+  prefix="${gl_saved_prefix}"
+
   if test $BISON_USE_NLS = yes; then
 
 printf "%s\n" "#define YYENABLE_NLS 1" >>confdefs.h
